org.eclipse.viatra.addon.querybasedfeatures.runtime.handler

## Class MultiValueQueryBasedFeature

- java.lang.Object
- - org.eclipse.viatra.addon.querybasedfeatures.runtime.QueryBasedFeature
  - - org.eclipse.viatra.addon.querybasedfeatures.runtime.handler.MultiValueQueryBasedFeature

-     public class MultiValueQueryBasedFeature
      extends QueryBasedFeature

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiValueQueryBasedFeature(org.eclipse.emf.ecore.EStructuralFeature feature, boolean keepCache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterUpdate()`
    `protected void` | `beforeUpdate()`
    `QueryBasedFeatureKind` | `getKind()`
    `java.util.List<?>` | `getManyReferenceValue(java.lang.Object source)`
    `org.eclipse.emf.common.util.EList` | `getManyReferenceValueAsEList(java.lang.Object source)`
    `java.lang.Object` | `getValue(java.lang.Object source)`
    `protected void` | `processAppearedMatch(IPatternMatch signature)`
    `protected void` | `processDisappearedMatch(IPatternMatch signature)`

    - ### Methods inherited from class org.eclipse.viatra.addon.querybasedfeatures.runtime.QueryBasedFeature

      `appendNotificationToList, engineForMatcher, getFeature, getMatcher, getSourceParamName, getSourceValue, getTargetParamName, getTargetValue, initialize, isCached, isInitialized, setMatcher, setSourceParamName, setTargetParamName, startMonitoring`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiValueQueryBasedFeature

          protected MultiValueQueryBasedFeature(org.eclipse.emf.ecore.EStructuralFeature feature,
                                                boolean keepCache)

  - ### Method Detail

    - #### getManyReferenceValue

          public java.util.List<?> getManyReferenceValue(java.lang.Object source)

    - #### processAppearedMatch

          protected void processAppearedMatch(IPatternMatch signature)

      Specified by:
        `processAppearedMatch` in class `QueryBasedFeature`

    - #### processDisappearedMatch

          protected void processDisappearedMatch(IPatternMatch signature)

      Specified by:
        `processDisappearedMatch` in class `QueryBasedFeature`

    - #### getManyReferenceValueAsEList

          public org.eclipse.emf.common.util.EList getManyReferenceValueAsEList(java.lang.Object source)

    - #### getKind

          public QueryBasedFeatureKind getKind()

      Specified by:
        `getKind` in class `QueryBasedFeature`

    - #### afterUpdate

          protected void afterUpdate()

      Specified by:
        `afterUpdate` in class `QueryBasedFeature`

    - #### beforeUpdate

          protected void beforeUpdate()

      Specified by:
        `beforeUpdate` in class `QueryBasedFeature`

    - #### getValue

          public java.lang.Object getValue(java.lang.Object source)

      Specified by:
        `getValue` in class `QueryBasedFeature`